## Creates or updates submitted product free fields. Existing keys not included in the request are unchanged.

**post** `/api/v2/public/products/freefields`

Creates or updates submitted product free fields. Existing keys not included in the request are unchanged.

### Body Parameters

- `free_fields: optional array of object { country_code, free_fields, product_number, entity_type }`

  The product free fields to create or update.

  - `country_code: string`

  - `free_fields: array of object { key, sort_order, value }`

    - `key: optional string`

    - `sort_order: optional number`

    - `value: optional string`

  - `product_number: string`

  - `entity_type: optional string`

### Returns

- `success: boolean`

  Indicates whether the operation completed successfully.

- `data: optional string`

  Optional data payload returned by the operation.

- `message: optional string`

  Human-readable message describing the result.

### Example

```http
curl https://api.colleqtive.net/api/v2/public/products/freefields \
    -X POST \
    -H "Authorization: $COLLEQTIVE_BEARER_TOKEN"
```

#### Response

```json
{
  "success": true,
  "data": "data",
  "message": "message"
}
```
